iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Class Methods | Properties | List of all members
MACircle Class Reference

`#import <MACircle.h>`

Inheritance diagram for MACircle:

## Instance Methods
(BOOL) | - setCircleWithCenterCoordinate:radius:
| 设置圆的中心点和半径. since 5.0.0 set the center point and radius of the circle. since 5.0.0 More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...

## Class Methods
(instancetype) | + circleWithCenterCoordinate:radius:
| 根据中心点和半径生成圆 Generate a circle based on the center point and radius More...
(instancetype) | + circleWithMapRect:
| 根据map rect生成圆 Generate a circle based on map rect More...

## Properties
NSArray< id< MAOverlay > > * | hollowShapes
CLLocationCoordinate2D | coordinate
CLLocationDistance | radius
Properties inherited from MAShape
NSString * | title
| 标题 Title More...
NSString * | subtitle
| 副标题 Subtitle More...
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title More...
NSString * | _subtitle
| 副标题 Subtitle More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

该类用于定义一个圆, 通常MACircle是MACircleView的model This class is used to define a circle, usually MACircle is the model of MACircleView

## Method Documentation

## ◆ circleWithCenterCoordinate:radius:

+ (instancetype) circleWithCenterCoordinate: |  | (CLLocationCoordinate2D) | coord
radius: |  | (CLLocationDistance) | radius

根据中心点和半径生成圆 Generate a circle based on the center point and radius

Parameters

  coord | 中心点的经纬度坐标，无效坐标按照{0，0}处理 Latitude and longitude coordinates of the center point, invalid coordinates are treated as {0, 0}
  radius | 半径，单位：米, 负数按照0处理 Radius, unit: meters, negative values are treated as 0

Returns
  新生成的圆 Newly generated circle

## ◆ circleWithMapRect:

+ (instancetype) circleWithMapRect: |  | (MAMapRect) | mapRect |

根据map rect生成圆 Generate a circle based on map rect

Parameters

  mapRect | mapRect 圆的最小外界矩形 mapRect is the minimum bounding rectangle of the circle

Returns
  新生成的圆 the newly generated circle

## ◆ setCircleWithCenterCoordinate:radius:

- (BOOL) setCircleWithCenterCoordinate: |  | (CLLocationCoordinate2D) | coord
radius: |  | (CLLocationDistance) | radius

设置圆的中心点和半径. since 5.0.0 set the center point and radius of the circle. since 5.0.0

Parameters

  coord | 中心点的经纬度坐标，无效坐标按照{0，0}处理 Latitude and longitude coordinates of the center point, invalid coordinates are treated as {0, 0}
  radius | 半径，单位：米 负数按照0处理 Radius, unit: meters, negative values are treated as 0

Returns
  是否设置成功 whether the setting is successful

## Property Documentation

## ◆ coordinate

- (CLLocationCoordinate2D) coordinate
| read write nonatomic assign

中心点经纬度坐标，无效坐标按照{0，0}处理 Center point latitude and longitude coordinates, invalid coordinates are processed as {0, 0}

## ◆ hollowShapes

- (NSArray<id<MAOverlay> >*) hollowShapes
| read write nonatomic strong

设置中空区域，用来创建中间带空洞的复杂图形。注意：传入的overlay只支持MAPolgon类型和MACircle类型,不支持与此circle边相交或在circle外部,不支持hollowShapes彼此间相交,和空洞顺序有关,不支持嵌套. since 5.5.0 Set the hollow area to create complex shapes with holes in the middle. Note: The overlay passed in only supports MAPolygon type and MACircle type,Intersection with the edge of this circle or being outside the circle is not supported, intersection between hollowShapes is not supported, it is related to the order of voids, nesting is not supported. since 5.5.0

## ◆ radius

- (CLLocationDistance) radius
| read write nonatomic assign

半径，单位：米 负数按照0处理 Radius, unit: meters, negative numbers are treated as 0

The documentation for this class was generated from the following file:

- MACircle.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。